document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

const observer = new IntersectionObserver((entries) => {
  entries.forEach(entry => {
    if (entry.isIntersecting) {
      entry.target.style.opacity = 1;
      entry.target.style.transform = 'translateY(0)';
    }
  });
});

document.querySelectorAll('.format-card').forEach((card) => {
  card.style.opacity = 0;
  card.style.transform = 'translateY(20px)';
  card.style.transition = 'all 0.6s cubic-bezier(0.22, 1, 0.36, 1)';
  observer.observe(card);
});

document.querySelectorAll('.format-card').forEach(card => {
  card.addEventListener('mouseover', () => {
    card.style.boxShadow = '0 15px 40px rgba(0,0,0,0.15)';
  });
  card.addEventListener('mouseout', () => {
    card.style.boxShadow = '0 10px 30px rgba(0,0,0,0.1)';
  });
});
